import { moduleForComponent, test } from 'ember-qunit';
import hbs from 'htmlbars-inline-precompile';

moduleForComponent('bo-doc-subjects', 'Integration | Component | bo doc subjects', {
  integration: true
});

test('it renders', function(assert) {
  // Set any properties with this.set('myProperty', 'value');
  // Handle any actions with this.on('myAction', function(val) { ... });"

  this.render(hbs`{{bo-doc-subjects}}`);

  assert.equal(this.$().text().trim(), '');

  // Template block usage:"
  this.render(hbs`
    {{#bo-doc-subjects}}
      template block text
    {{/bo-doc-subjects}}
  `);

  assert.equal(this.$().text().trim(), 'template block text');
});
